using Documenter, QuadraticModels

makedocs(
  modules = [QuadraticModels],
  doctest = true,
  # linkcheck = true,
  strict = true,
  format = Documenter.HTML(
    assets = ["assets/style.css"],
    prettyurls = get(ENV, "CI", nothing) == "true",
  ),
  sitename = "QuadraticModels.jl",
  pages = Any["Home" => "index.md", "Tutorial" => "tutorial.md", "Reference" => "reference.md"],
)

deploydocs(repo = "github.com/JuliaSmoothOptimizers/QuadraticModels.jl.git", devbranch = "main")
